#!/bin/bash
# Dirty hack to generate kernel-patch
# (c) 2002 Tuomo Soini <tis@foobar.fi>
RESULT=0
if [ -n "$RPM_SOURCE_DIR" ]; then
echo "Get linux sources."
cp -pR /usr/src/linux-2.4/ linux || {
echo "Can't get kernel-sources. Install kernel-source rpm"
exit 0
}
pushd linux
make -s mrproper
popd

echo "Copy linux dir to linux.vanilla"
cp -prl linux linux.vanilla

pushd linux
echo "Copy config to .config"
cp configs/kernel-*-i386.config .config
echo "Make oldconfig"
make oldconfig
echo "Make version.h"
make -s include/linux/version.h
popd

echo "Insert freeswan into linux dir"
make KERNELSRC=linux precheck verset insert

pushd linux
echo "Add config"
cp configs/kernel-*-i386.config .config
find . -name '*.wipsec' -exec rm -f '{}' \;
find . -name '*.preipsec' -exec rm -f '{}' \;
find . -name '*.ipsecmd5' -exec rm -f '{}' \;
find . -name '*.orig' -exec rm -f '{}' \;
echo "Configure freeswan into configs"
cat >>.config <<EOCFG
# FreeS/WAN IPSec support
CONFIG_IPSEC=m
#
# IPSec options (FreeS/WAN)
#
CONFIG_IPSEC_IPIP=y
CONFIG_IPSEC_AH=y
CONFIG_IPSEC_AUTH_HMAC_MD5=y
CONFIG_IPSEC_AUTH_HMAC_SHA1=y
CONFIG_IPSEC_ESP=y
CONFIG_IPSEC_ENC_3DES=y
CONFIG_IPSEC_ALG=y
CONFIG_IPSEC_ALG_MD5=m
CONFIG_IPSEC_ALG_SHA1=m
CONFIG_IPSEC_ALG_SHA2=m
CONFIG_IPSEC_ALG_3DES=m
CONFIG_IPSEC_ALG_AES=m
CONFIG_IPSEC_ALG_BLOWFISH=m
CONFIG_IPSEC_ALG_TWOFISH=m
CONFIG_IPSEC_ALG_SERPENT=m
CONFIG_IPSEC_ALG_CAST=m
CONFIG_IPSEC_ALG_NULL=m
CONFIG_IPSEC_IPCOMP=y
CONFIG_IPSEC_DEBUG=y
CONFIG_IPSEC_NAT_TRAVERSAL=y
EOCFG

make oldconfig
make -s mrproper
popd
diff -uarN linux.vanilla linux >~/src/SOURCES/linux-${1}.patch
RESULT=$?
fi
[ $RESULT -eq 1 ] && exit 0
